<?xml version="1.0" encoding="utf-8"?>
<window screenLeft="0" screenTop="0" width="430" height="280" titleBar="false" resizeMargins="0,0,0,0" maxWidth="430" maxHeight="382" maximizable="false" onload="WindowOnLoad();" >
	<script src="common.js" />
	<script language="JavaScript">
	<![CDATA[
	function WindowOnLoad()
	{
		Components.GetObject("@pplive.com/outputdebug;1").DebugString('onload');
		var list = $("list");
		var downloadMgr = Components.GetObject("@pplive.com/chDownloadMgr;1");
		if (list && downloadMgr)
		{
			list.InsertHdItem("任务名称", 406, false);

			var argList = downloadMgr.GetDeleteFileFailRecords();
			downloadMgr.ClearDeleteFileFailRecords();//clear it immediatelly, otherwise it will cumulative.
			Components.GetObject("@pplive.com/outputdebug;1").DebugString('onload '+argList);
			var argArray = argList.split("\n");
			for (var i=0; i<argArray.length; i++)
			{
				Components.GetObject("@pplive.com/outputdebug;1").DebugString('onload '+argArray[i]);
				list.InsertItem2(argArray[i]);
			}
			
			$("lblFileNum").value = "共"+list.GetItemCount()+"个文件";
		}
	}
	]]>
	</script>
	<subwindow left="0" top="0" width="430" height="280">
		<!-- top left -->
		<subwindow left="0" top="0" width="190" height="32" backgroundImage="small_title_l.png" clippingColor="#FF00FF">
			<label left="30" top="0" width="190" height="32" value="提示" textAlignment="left vcenter" fontSize="12" fontStyle="bold" passThrough="true" foregroundColor="#FFFFFF"/>
		</subwindow>
		<!-- top -->
		<subwindow left="190" top="0" width="125" height="32" backgroundImage="small_title_m.png" clippingColor="#FF00FF" horizontalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- top right -->
		<subwindow left="315" top="0" width="115" height="32" backgroundImage="small_title_r.png" clippingColor="#FF00FF" >
			<button id="btnClose" left="83" top="4" width="24" height="24" image="close.png" hoverImage="close_hover.png" downImage="close_down.png" tooltip="关闭" onclick="window.close();"/>
		</subwindow>
		<!-- left frame border-->
		<subwindow left="0" top="32" width="2" height="248" backgroundImage="small_frame_l.png" horizontalAlignment="left" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- right frame border-->
		<subwindow left="428" top="32" width="2" height="248" backgroundImage="small_frame_r.png" horizontalAlignment="right" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- bottom frame border-->
		<subwindow left="2" top="278" width="426" height="2" backgroundImage="small_frame_bottom.png" horizontalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- below top -->
		<subwindow left="2" top="32" width="426" height="13" backgroundImage="below_title.png" clippingColor="#FF00FF" horizontalAlignment="stretch" verticalAlignment="top" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- main subwindow-->
		<subwindow left="2" top="45" width="426" height="233" backgroundColor="#FFFFFF">
			<label left="23" top="0" width="350" height="20" value="以下任务文件删除失败，可能被保护或正被使用" textAlignment="left vcenter" fontFace="tahoma"  fontSize="12" passThrough="true"/>
			<subwindow id="listWnd" left="11" top="25" width="406" height="125" horizontalAlignment="stretch" verticalAlignment="stretch" backgroundColor="#7F9DB9" visible="true">
				<widget id="list" left="1" top="1" width="404" height="123" horizontalAlignment="stretch" verticalAlignment="stretch" contractId="@pplive.com/pplistctrl;1" visible="true"/>
			</subwindow>
			<label id="lblFileNum" left="320" top="155" width="90" height="32" value="" passThrough="true" textAlignment="right vcenter" fontSize="12" foregroundColor="#000000"/>
			<label left="1" top="190" width="424" height="1" backgroundColor="#CCCCCC" passThrough="true"/>
			<button id="btnOK" left="340" top="200" width="70" height="26" label="确定" image="button.png" hoverImage="button_hover.png" downImage="button_down.png" disabledImage="button_disable.png" onclick="window.close();" />
		</subwindow>
	</subwindow>
</window>